Bug 4663 - gt4.0.2-all-source-installer with target prewsmds doesn't work with some compilers
: gt4.0.2-all-source-installer with target prewsmds doesn't work with some comp...
Status: RESOLVED FIXED
: MDS2
gt2_mds
: 4.0.0
: PC Linux
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2006-08-16 10:01 by
Modified: 2006-08-18 13:28 (History)


Attachments
Correcting non standard syntax in source-trees/mds/openldap/giis-ldapmodules/init.c (651 bytes, patch)
2006-08-16 10:07, Johan Jönemo
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-08-16 10:01:38
It seems that the source code package doesn't compile cleanly on some
compilers.

The culprit is non-ANSI-C-compliant code in file:
source-trees/mds/openldap/giis-ldapmodules/init.c

Here is a patch:

---
gt4.0.2-all-source-installer/source-trees-thr/mds/openldap/giis-ldapmodules/init.c
 2005-04-19 00:00:17.000000000 +0200
+++
/home/globus/build/gt4.0.2-all-source-installer/source-trees-thr/mds/openldap/giis-ldapmodules/init.c
  2006-08-16 16:27:56.000000000 +0200
@@ -178,6 +178,7 @@

 char *apply_env_vars(char *);
 char *str_realloc(char *, int, int *);
+static int generalized_time(char *, int, time_t, int);

 /*
 void mysig(int);
@@ -1847,7 +1848,6 @@
 {
        char ctime[16];
        int clen, klen, len, no;
-       static int generalized_time(char *, int, time_t, int);

        if (!ktime) return -1;
        if (generalized_time(ctime, 16, current_time(), 0) <= 0)


Sincerely

Johan Jönemo (nordugrid)
------- Comment #1 From 2006-08-16 10:07:19 -------
Created an attachment (id=1037) [details]
Correcting non standard syntax in
source-trees/mds/openldap/giis-ldapmodules/init.c
------- Comment #2 From 2006-08-16 15:42:40 -------
Will commit this patch for a 4.0.3 release.
------- Comment #3 From 2006-08-18 13:28:33 -------
Your patch has been applied to CVS HEAD and globus_4_0_branch and should appear
in the next 4.0.3 series source installer. Thanks for your report.